TLS Protocol verification Skip to main content
https://support.okta.com/help/answers?id=9060z000000jjioqac&refurl=http%3a%2f%2fsupport.okta.com%2fhelp%2fanswers
How satisfied are you with the Okta Help Center?
Thank you for your feedback!
How satisfied are you with the Okta Help Center?
1
2
3
4
5
Very Dissatisfied
Very satisfied
Enter content less than 200 characters.
Ask Search:
Rajesh KumarRajesh Kumar 

TLS Protocol verification

As per Okta, On August 1, 2018 Okta will no longer support Transport Layer Security (TLS) 1.0 or 1.1 protocols. I would like to know how do we find which version is being consumed by the current application? We consume Okta API's for authentication.

I have verified the code and I do not see any specific version being coded. Does this mean by default TLS 1.0/1.1 is enabled now ? Please suggest.
Aleks BulajicAleks Bulajic (Okta, Inc.)
Hi Rajesh,

Thanks for reaching out to the Support Community today! There is a Migrating to TLS 1.2 (https://support.okta.com/help/Documentation/Knowledge_Article/Migrating-to-TLS-1-2) article which specifies that action will be required if "You, your developers, or integrators have connections to the Okta API (integrations) that are made from software that doesn't support TLS 1.2". The mention of software here indicates the the application that is consuming the Okta API will need to support TLS 1.2 (in addition to supported browser and operating system version). By default, Okta currently does support TLS 1.0/1.1.

In case assistance is needed in identifying the version of any Okta agents running within your environment, we can definitely assist with that piece. In that case, we would recommend opening a new case with Support and we will be able to further assist.

Thank you,

Aleks

Aleks Bulajic
Technical Support Engineer
Okta Global Customer Care